// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order/model_user_access.proto

package order

import (
	_ "github.com/golang/protobuf/ptypes/timestamp"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type UserAccess struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserId         string         `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	ProductProcess ProductProcess `protobuf:"varint,2,opt,name=product_process,json=productProcess,proto3,enum=fcp.order.v1.order.ProductProcess" json:"product_process,omitempty"`
	ProductType    []ProductType  `protobuf:"varint,3,rep,packed,name=product_type,json=productType,proto3,enum=fcp.order.v1.order.ProductType" json:"product_type,omitempty"`
	Audit          *Audit         `protobuf:"bytes,10,opt,name=audit,proto3" json:"audit,omitempty"`
}

func (x *UserAccess) Reset() {
	*x = UserAccess{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_user_access_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UserAccess) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UserAccess) ProtoMessage() {}

func (x *UserAccess) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_user_access_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UserAccess.ProtoReflect.Descriptor instead.
func (*UserAccess) Descriptor() ([]byte, []int) {
	return file_v1_order_model_user_access_proto_rawDescGZIP(), []int{0}
}

func (x *UserAccess) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

func (x *UserAccess) GetProductProcess() ProductProcess {
	if x != nil {
		return x.ProductProcess
	}
	return ProductProcess_UNSPECIFIED
}

func (x *UserAccess) GetProductType() []ProductType {
	if x != nil {
		return x.ProductType
	}
	return nil
}

func (x *UserAccess) GetAudit() *Audit {
	if x != nil {
		return x.Audit
	}
	return nil
}

type GetUserAccessRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserId string `protobuf:"bytes,1,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
}

func (x *GetUserAccessRequest) Reset() {
	*x = GetUserAccessRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_user_access_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetUserAccessRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetUserAccessRequest) ProtoMessage() {}

func (x *GetUserAccessRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_user_access_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetUserAccessRequest.ProtoReflect.Descriptor instead.
func (*GetUserAccessRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_model_user_access_proto_rawDescGZIP(), []int{1}
}

func (x *GetUserAccessRequest) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

type GetUserAccessResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *UserAccess `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *GetUserAccessResponse) Reset() {
	*x = GetUserAccessResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_model_user_access_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetUserAccessResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetUserAccessResponse) ProtoMessage() {}

func (x *GetUserAccessResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_model_user_access_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetUserAccessResponse.ProtoReflect.Descriptor instead.
func (*GetUserAccessResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_model_user_access_proto_rawDescGZIP(), []int{2}
}

func (x *GetUserAccessResponse) GetItem() *UserAccess {
	if x != nil {
		return x.Item
	}
	return nil
}

var File_v1_order_model_user_access_proto protoreflect.FileDescriptor

var file_v1_order_model_user_access_proto_rawDesc = []byte{
	0x0a, 0x20, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x5f, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x12, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x15, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x13,
	0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x22, 0xed, 0x01, 0x0a, 0x0a, 0x55, 0x73, 0x65, 0x72, 0x41, 0x63, 0x63, 0x65,
	0x73, 0x73, 0x12, 0x17, 0x0a, 0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x12, 0x4b, 0x0a, 0x0f, 0x70,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x70, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0e, 0x32, 0x22, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x52, 0x0e, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x42, 0x0a, 0x0c, 0x70, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x1f,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52,
	0x0b, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x54, 0x79, 0x70, 0x65, 0x12, 0x2f, 0x0a, 0x05,
	0x61, 0x75, 0x64, 0x69, 0x74, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x41, 0x75, 0x64, 0x69, 0x74, 0x52, 0x05, 0x61, 0x75, 0x64, 0x69, 0x74, 0x4a, 0x04, 0x08,
	0x04, 0x10, 0x0a, 0x22, 0x2f, 0x0a, 0x14, 0x47, 0x65, 0x74, 0x55, 0x73, 0x65, 0x72, 0x41, 0x63,
	0x63, 0x65, 0x73, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x75,
	0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x75, 0x73,
	0x65, 0x72, 0x49, 0x64, 0x22, 0x4b, 0x0a, 0x15, 0x47, 0x65, 0x74, 0x55, 0x73, 0x65, 0x72, 0x41,
	0x63, 0x63, 0x65, 0x73, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x32, 0x0a,
	0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x55, 0x73, 0x65, 0x72, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x52, 0x04, 0x69, 0x74, 0x65,
	0x6d, 0x42, 0x4b, 0x0a, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69,
	0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x50, 0x01, 0x5a, 0x2d, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e,
	0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0xba, 0x02, 0x00, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_order_model_user_access_proto_rawDescOnce sync.Once
	file_v1_order_model_user_access_proto_rawDescData = file_v1_order_model_user_access_proto_rawDesc
)

func file_v1_order_model_user_access_proto_rawDescGZIP() []byte {
	file_v1_order_model_user_access_proto_rawDescOnce.Do(func() {
		file_v1_order_model_user_access_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_model_user_access_proto_rawDescData)
	})
	return file_v1_order_model_user_access_proto_rawDescData
}

var file_v1_order_model_user_access_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_v1_order_model_user_access_proto_goTypes = []interface{}{
	(*UserAccess)(nil),            // 0: fcp.order.v1.order.UserAccess
	(*GetUserAccessRequest)(nil),  // 1: fcp.order.v1.order.GetUserAccessRequest
	(*GetUserAccessResponse)(nil), // 2: fcp.order.v1.order.GetUserAccessResponse
	(ProductProcess)(0),           // 3: fcp.order.v1.order.ProductProcess
	(ProductType)(0),              // 4: fcp.order.v1.order.ProductType
	(*Audit)(nil),                 // 5: fcp.order.v1.order.Audit
}
var file_v1_order_model_user_access_proto_depIdxs = []int32{
	3, // 0: fcp.order.v1.order.UserAccess.product_process:type_name -> fcp.order.v1.order.ProductProcess
	4, // 1: fcp.order.v1.order.UserAccess.product_type:type_name -> fcp.order.v1.order.ProductType
	5, // 2: fcp.order.v1.order.UserAccess.audit:type_name -> fcp.order.v1.order.Audit
	0, // 3: fcp.order.v1.order.GetUserAccessResponse.item:type_name -> fcp.order.v1.order.UserAccess
	4, // [4:4] is the sub-list for method output_type
	4, // [4:4] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_v1_order_model_user_access_proto_init() }
func file_v1_order_model_user_access_proto_init() {
	if File_v1_order_model_user_access_proto != nil {
		return
	}
	file_v1_order_common_proto_init()
	file_v1_order_enum_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_v1_order_model_user_access_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UserAccess); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_user_access_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetUserAccessRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_model_user_access_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetUserAccessResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_model_user_access_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_order_model_user_access_proto_goTypes,
		DependencyIndexes: file_v1_order_model_user_access_proto_depIdxs,
		MessageInfos:      file_v1_order_model_user_access_proto_msgTypes,
	}.Build()
	File_v1_order_model_user_access_proto = out.File
	file_v1_order_model_user_access_proto_rawDesc = nil
	file_v1_order_model_user_access_proto_goTypes = nil
	file_v1_order_model_user_access_proto_depIdxs = nil
}
